<?php
namespace nur\sery\wip\schema;

use nur\sery\wip\schema\input\Input;
use nur\sery\wip\schema\types\IType;

class AnalyzerContext {
  function __construct(Schema $schema, Wrapper $wrapper, Input $input, $destKey, Result $result) {
    $this->schema = $schema;
    $this->wrapper = $wrapper;
    $this->input = $input;
    $this->result = $result;
    $this->type = null;
    $this->orig = null;
    $this->dest = null;
    $this->destKey = $destKey;
  }

  public Schema $schema;
  public Wrapper $wrapper;
  public Input $input;
  public Result $result;
  public ?IType $type;
  /** @var mixed */
  public $orig;
  /** @var mixed */
  public $dest;
  /** @var int|string|null */
  public $destKey;
}
